Set the allow/block policy for a vendor (org-wide, per project, or per property)
PUT
/v1/compliance/vendors/{vendor}
const url = 'https://api.monita.ai/v1/compliance/vendors/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"policy":"allow","note":"example","consentExpectation":"required","projectId":"example","domainId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.monita.ai/v1/compliance/vendors/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "policy": "allow", "note": "example", "consentExpectation": "required", "projectId": "example", "domainId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”vendor
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
policy
required
string
note
string
consentExpectation
string
projectId
string
domainId
string
Responses
Section titled “Responses”Saved
Media typeapplication/json
object
ok
required
boolean
Examplegenerated
{ "ok": true}Invalid scope
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}